Bug 2039911 (CVE-2021-45485) - CVE-2021-45485 kernel: information leak in the IPv6 implementation
Summary: CVE-2021-45485 kernel: information leak in the IPv6 implementation
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-45485
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2126325 2126326 2039912 2040158 2040159
Blocks: 2039913
TreeView+ depends on / blocked
 
Reported: 2022-01-12 17:39 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-09-13 07:43 UTC (History)
45 users (show)

Fixed In Version: kernel 5.14 rc1
Doc Type: If docs needed, set a value
Doc Text:
An information leak flaw was found in the Linux kernel’s IPv6 implementation in the __ipv6_select_ident in net/ipv6/output_core.c function. The use of a small hash table in IP ID generation allows a remote attacker to reveal sensitive information.
Clone Of:
Environment:
Last Closed: 2022-05-11 14:45:59 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2022:2229 0 None None None 2022-05-12 11:27:11 UTC
Red Hat Product Errata RHBA-2022:4630 0 None None None 2022-05-18 11:46:57 UTC
Red Hat Product Errata RHBA-2022:4693 0 None None None 2022-05-19 05:11:23 UTC
Red Hat Product Errata RHBA-2022:4969 0 None None None 2022-06-08 18:40:32 UTC
Red Hat Product Errata RHBA-2022:5088 0 None None None 2022-06-16 11:23:54 UTC
Red Hat Product Errata RHSA-2022:1975 0 None None None 2022-05-10 14:40:58 UTC
Red Hat Product Errata RHSA-2022:1988 0 None None None 2022-05-10 14:47:03 UTC

Description Guilherme de Almeida Suckevicz 2022-01-12 17:39:27 UTC
In the IPv6 implementation in the Linux kernel before 5.13.3, net/ipv6/output_core.c has an information leak because of certain use of a hash table which, although big, doesn't properly consider that IPv6-based attackers can typically choose among many IPv6 source addresses.

Reference and upstream patch:
https://arxiv.org/pdf/2112.09604.pdf
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=62f20e068ccc50d6ab66fdb72ba90da2b9418c99

Comment 1 Guilherme de Almeida Suckevicz 2022-01-12 17:40:10 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2039912]

Comment 7 Justin M. Forbes 2022-01-14 15:42:28 UTC
This was fixed for Fedora users with the 5.12.18 stable kernel update.

Comment 9 errata-xmlrpc 2022-05-10 14:40:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1975 https://access.redhat.com/errata/RHSA-2022:1975

Comment 10 errata-xmlrpc 2022-05-10 14:46:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1988 https://access.redhat.com/errata/RHSA-2022:1988

Comment 11 Product Security DevOps Team 2022-05-11 14:45:56 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-45485


Note You need to log in before you can comment on or make changes to this bug.